[Broken Age] Mobile Device Requirements

Requirements for the mobile versions of Grim Fandango Remastered:

iOS
  • REQUIRED: iOS 6.0 or later
Android
  • NOT SUPPORTED: Mali, PowerVR, and Intel GPUs.
  • REQUIRED: Android 4.1 or later
  • Check your device specs at http://www.gsmarena.com/.

Feedback and Knowledge Base